@import "mixim";
*{
  box-sizing: border-box;
}
@font-face {
  font-family: 'Gilroy';
  src: url('../font/Gilroy-Regular.ttf');
}
.container{
  margin: 0 auto;
  max-width: 1920px;
}
body{
  font-size: 16px;
  background-color: #F5F3EA;;
}
li{
  list-style: none;
}
a{
  text-decoration: none;
  color: black;
}
.header{
  ul{
    display: flex;
    padding: 0 0 3.75em 0;
    margin: 0;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
    a{
      color: #252525;
      text-align: center;
      font-family: 'Gilroy-SemiBold';
      font-size: 1.56em;
      font-style: normal;
      font-weight: 400;
      line-height: normal;
    }
  }
  .header__h2-semi{
    @include h2;
    text-align: center;
    font-family: 'Gilroy-SemiBold';
    margin: 0;
  }
  .header__h2-gil{
    @include h2;
    text-transform: capitalize;
    text-align: center;
    margin: 0;
  }
  div{
    text-align: center;
    padding: 1.875em 0 2.5em 0;
  }
  img{
    width: 100%;
  }
  .header__div-about{
    display: flex;
    padding: 4.375em 0;
    align-items: center;
    flex-shrink: 0;
    p{
      color: #252525;
      font-family: 'Gilroy-Regular';
      font-size: 3.8em;
      font-style: normal;
      font-weight: 300;
      line-height: normal;
      padding: 0 70px;
      span{
        color: #252525;
        font-family: 'Gilroy-Regular';
        font-size: 1em;
        font-style: normal;
        font-weight: 800;
        line-height: normal;
      }
    }
    aside{
      background-color: #252525;
      padding: 60px 70px 60px 0;
      width: 485px;
      text-align: right;
      gap: 1.875em;
      flex-shrink: 0;

      p{
        color: #FFF;
        text-align: right;
        font-family: 'Gilroy-Medium';
        font-size: 2em;
        font-style: normal;
        font-weight: 400;
        line-height: 2em; /* 100% */
        text-transform: uppercase;
        margin: 0;
        padding: 0 0 30px 0;
      }
      ul{
        display: flex;
        justify-content: flex-end;
        align-items: center;
        gap: 1.25em;
        align-self: stretch;
        padding: 0;
      }
    }
  }
}
.icon_div{
  flex-wrap: wrap;
  display: flex;
  padding: 70px;
  justify-content: center;
  align-items: center;
  gap: 2.5em;
  a{
    padding: 15px 40px;
    align-items: center;
    gap: 0.625em;
    border-radius: 3.125em;
    background: #FFF;
    max-height: 70px;
    svg{
      width: 80%;
    }
  }
}
.container-div-wraper{
  background-image: url("../images/what-i-do-bgd.jpg");

  aside{
    display: flex;
    justify-content: flex-end;
    gap: 2.5em;
    .aside__div-what-i-do{
      background-color: #FFFFFF;
      max-width: 940px;
      border-bottom: 1px solid black;
      h2{
        @include h2;
        text-transform: uppercase;
        text-align: center;
        margin: 0;
        padding: 70px 0 60px 0;
      }
      li{
        border-bottom: 1px solid black ;
        h3{color: #000;
          position: relative;
          font-family: 'Gilroy-SemiBold';
          font-size: 2.75em;
          font-style: normal;
          font-weight: 400;
          line-height: 3em; /* 109.091% */
          text-transform: uppercase;
          padding: 40px 0 0 0;
          margin: 0;
        }
        p{
          color: #000;
          font-family: 'Inter';
          font-size: 1.25em;
          font-style: normal;
          font-weight: 400;
          line-height: 1.75em; /* 140% */
          padding-bottom: 40px;
        }
      }
    }
  }
}
.aside__div-what-i-do li:nth-child(1) h3::before{
  content: '01 ';
}
.aside__div-what-i-do li:nth-child(2) h3::before{
  content: '02 ';
}
.aside__div-what-i-do li:nth-child(3) h3::before{
  content: '03 ';
}
.aside__div-what-i-do li:nth-child(4) h3::before{
  content: '04 ';
}
.what-i-do .aside__div-what-i-do li:nth-child(4){
  border-bottom: none ;
}
.selected-work{
  .selected-work-div-wrap{
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 2.5em;
    padding: 0px 70px;
    .selected-work-div-grid1{
      position: relative;
      h4{
        align-self: stretch;
        color: #000;
        font-family: 'Gilroy-Bold';
        font-size: 2.5em;
        font-style: normal;
        font-weight: 400;
        line-height: 2.75em; /* 110% */
        text-transform: uppercase;
        margin: 0;
      }
      ul{
        padding: 0;
        display: flex;
        justify-content: space-between;
        gap: 1.875em;
        li{
          display: flex;
          gap: 1.875em;
          a{
            padding: 15px 30px;
            border-radius: 3.1em;
            background: #FFF;
            display: flex;
            align-items: center;
            gap: 0.625em;
          }
          .li__a-black{
            background-color: black;
            color: #FFFFFF;
            display: flex;
            justify-content: flex-end;
          }
          & .li__a-black{
            position: absolute;
            content: '';
            bottom: 0;
            right: 0%;
          }
        }
      }
    }
  }
  img{
    width: 100%;
    max-height: 587px;
  }
  .select-work__div-a{
    text-align: center;
    a{
      padding: 15px 60px;
      align-items: center;
      border-radius: 3.1em;
      background: #FFF;
      display: inline-block;
      margin-top: 30px;
    }
  }
}
@media screen and (max-width: 1200px){
  body{
    font-size: 14px;
    h2{
      font-size: 6em!important;
    }
    .header__div-about{
      flex-direction: column;
      p{
        padding: 30px!important;
      }
      .aside{
        background-color: #252525;
        width: 100%;
        display: flex;
        justify-content: flex-end;
        aside{
          padding-right: 0;
          justify-content: flex-end;
        }
      }
    }
    .selected-work .selected-work-div-wrap{
      display: flex;
      flex-direction: column;
    }
    .selected-work-div-grid1 li:nth-child(1){
      padding-bottom: 35%;
      display: flex;
      justify-content: flex-end;
    }
    .container-div-wraper{
      padding-top: 100%;
      aside{
        justify-content: flex-start;
        background-color: #FFFFFF;
        .aside__div-what-i-do{
          h2{
            padding: 40px 0 0 0;
          }
          h3{
            padding: 0;
          }
        }
      }
    }
    .icon_div{
      gap: 10px;
      padding: 20px 10px;
      a{
        max-height: 60px;
        padding: 10px 20px;
      }
    }
  }
  .my_clients__grid-conteiner{
    grid-template-columns: repeat(1,1fr)!important;
    grid-template-rows: repeat(6,1fr)!important;
    &--item{
      border-right: none !important;
      border-bottom: 1px solid #000 !important;
    }
  }
  .our-team__container{
    grid-template-columns: repeat(2,1fr)!important;
    grid-template-rows: repeat(4,1fr)!important;
  }
  .contacts{
    margin: 0;
    flex-direction: column!important;
    align-items: center!important;
    &--item{
      text-align: center;
    }
    a{
      margin: 0 auto;
    }
    svg{
      left: 132px !important;
      top: 12px !important;
    }
  }
}
@media screen and (max-width: 768px){
  body{
    font-size: 10px;
    h2{
      font-size: 48px!important;
    }
    .icon_div{
      padding: 10px 10px;
      gap: 5px;
      a{
        padding: 5px;
        svg{width: 60%;

        }
      }
    }
  }
  .our-team__container{
    grid-template-columns: repeat(1,1fr)!important;
    grid-template-rows: repeat(7,1fr)!important;
  }
  .big--item{
    grid-column: 1!important;
    justify-content: start!important;
  }
  .our-team__container--item h3, p{
    text-align: center!important;
  }
  .our-team__container--item ul{
    justify-content: center!important;
  }
  .big--item h2{
    text-align: center;
  }
  .big--item .li__a-black{
    width: 100%!important;
    text-align: center!important;
  }
  .big--item .li__a-black svg{
    top: 12px!important;
    left: 260px!important;
  }
  .our-team {
    border-top: none!important;
  }
  .contacts a{
    width: 100%!important;
    svg{
      left: 270px !important;
    }
  }
  .footer{
    flex-direction: column;
  }
  }

.main-titel{
  color: #252525;
  text-align: center;
  font-family: Gilroy;
  font-size: 12.5em;
  font-style: normal;
  font-weight: 300;
  line-height: normal;
  letter-spacing: 8.48px;
  text-transform: uppercase;
  margin: 50px 0;
}
.my_clients{
  border-top: 1px solid #252525;
  margin-top: 100px;
  &__grid-conteiner{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    &--item{
      padding: 30px;
      border-right: 1px solid #000;
      border-bottom: 1px solid #000;
      &:nth-child(3n) {
        border-right: none;
      }
      &:nth-last-child(-n+3) {
        border-bottom: none;
      }
      h3{
        color: #333;
        font-family: Gilroy;
        font-size: 40px;
        font-style: normal;
        font-weight: 800;
        line-height: 44px; /* 110% */
      }
      p{
        color: #000;
        font-family: Inter;
        font-size: 20px;
        font-style: normal;
        line-height: 30px; /* 150% */
      }
      img{
        border-radius: 50%;
        width: 70px;
        height: 70px;
      }
      .comment{
        display: flex;
        &-text{
          p{
            margin: 0 15px;
          }
        }
      }
    }
  }
}
.bold-item{
  font-weight: 600;
}

.our-team{
  border-top: 1px solid black;
  margin-top: 100px;
  &__container{
    padding-bottom: 50px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, 1fr);
    align-items: center;
    justify-items: center;
    gap: 40px;
    &--item{
      width: 100%;
      max-width: 400px;
      max-height: 616px;
      height: 100%;
      h3{
        color: #333;
        font-family: Gilroy;
        font-size: 30px;
        font-style: normal;
        font-weight: 800;
        line-height: normal;
        text-transform: uppercase;
        margin: 0;
      }
      p{
        color: #333;
        font-family: Gilroy-Medium;
        font-size: 20px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        margin: 0;
      }
      img{
        filter: grayscale(100%);
        margin-top: 15px;
        width: 100%;
        object-fit: cover;
        height: 80%;
      }
      ul{
        display: flex;
        justify-content: end;
        gap: 10px;
      }
    }
  }
}
.big--item{
  grid-column: span 2;
  max-width: none !important;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 0% !important;

  p{
    margin: 0;
    color: #333;
    font-family: Gilroy-Regular;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
  }
  h2{
    color: #333;
    font-family: Gilroy-Bold;
    font-size: 64px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
    max-width: 920px;
    width: 100%;
    margin: 0;
  }
  .li__a-black{
    display: block;
    width: 150px;
    position: relative;
    padding: 15px 30px;
    background-color: #252525;
    color: #fff;
    border-radius: 3.1em;
    svg{
      position: absolute;
      top: 15px;
      left: 100px;
    }
  }
}
.contacts{
  border-top: 1px solid black;
  padding-top: 50px;
  margin-top: 0;
  display: flex;
  justify-content: space-between;
  &--item{
    width: 100%;
    max-width: 800px;
  }
  h2{
    color: #333;
    font-family: Gilroy;
    font-size: 155px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    text-transform: uppercase;
    margin-top: 0;
  }
  h3{
    color: #252525;
    font-family: Gilroy-Bold;
    font-size: 64px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
    margin-bottom: 5px;
    margin-top: 0;
  }
  p{
    color: #252525;
    font-family: Gilroy-Medium;
    font-size: 34px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
  }
  a{
    display: block;
    width: 200px;
    position: relative;
    padding: 15px 30px;
    background-color: #252525;
    color: #fff;
    border-radius: 3.1em;
  }
  svg{
    position: absolute;
    top: 15px;
    left: 120px;
  }
}
.footer{
  padding: 5px 70px;
  margin-top: 50px;
  border-top: 1px solid black;
  display: flex;
  justify-content: space-between;
  &--item{
    display: flex;
    align-items: center;
    gap: 4px;
  }
  ul{
    display: flex;
    gap: 10px;
  }
}